/*  fgwirc - fungw based minimal irc client
    Copyright (C) 2019  Tibor 'Igor2' Palinkas

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

    Project page and contact: http://repo.hu/projects/fgwirc
*/

#ifndef INPUT_H
#define INPUT_H

#include <sockev/sockev.h>

extern sockev_t s_input;

typedef enum {
	IMOD_NONE = 0,
	IMOD_CTRL = 1,
	IMOD_ALT  = 2,
	IMOD_PAD  = 3,
	IMOD_PAD2 = 4,
	IMOD_PAD3 = 5,
	IMOD_FUNC = 6,
	IMOD_META = 7,
	IMOD_max,
	IMOD_invalid = -1
} input_mod_t;

#define INPU_MAX_KEYCODE 256
extern char *input_key_binding[IMOD_max][256];

void input_init(void);

extern int input_meta; /* whether last key was meta enter */
input_mod_t input_name2mod(const char *name);

#endif
